
Name: x11-driver-video-ati
Version: 7.7.0
Release: %mkrel 2
Summary: X.org driver for ATI Technologies
Group: System/X11
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ati-%{version}.tar.xz
#---------------------------------------------------
Patch1: fix-dri-removal.patch
Patch2: radeon-6.12.2-lvds-default-modes.patch
Patch3: fix-default-modes.patch
#---------------------------------------------------
License: MIT

BuildRequires: libdrm-devel >= 2.4.46
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati_6.7
Obsoletes: x11-driver-video-radeonhd
Provides: x11-driver-video-radeonhd

%description
x11-driver-video-ati is the X.org driver for ATI Technologies.

%prep
%setup -qn xf86-video-ati-%{version}
%apply_patches
sed -i '/USE_XAA, 1/d' configure.ac

%build
autoreconf -ifs
%configure2_5x --enable-glamor
%make

%install
rm -rf %buildroot
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/radeon_drv.la
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_libdir}/xorg/modules/drivers/ati_drv.la
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_mandir}/man4/ati.*
%{_mandir}/man4/radeon.*


%changelog
* Tue May 24 2016 bb <bb> 7.7.0-2pclos2016
- sync fedora patches

* Fri Apr 08 2016 bb <bb> 7.7.0-1pclos2016
- update

